export const getPopupStackDimensionCalculators = (popupsCount: number) => {
    // if before open, the actual count that we need is an extra one
    const actualPopups = popupsCount > 1? popupsCount - 1 : popupsCount

    return {
        top: (top) => {
            const extraTop= ((actualPopups * 2) * 4)
            return top + extraTop
        },
        width: (width) => {
            return width + (actualPopups ? ((((actualPopups * 2) * 4))) : 0)
        },
    }
}